# Get interest details for a person's savings account

Returns the interest details for a person's savings account, specified in
the request URL by its ID. The response includes the interest rate, the
amount of interest accrued, and the date when the interest calculator was
last run for the account.

Endpoint: GET /v1/persons/{person_id}/deposit_accounts/{account_id}/interest_details
Version: 1.0

## Path parameters:

  - `person_id` (string, required)
    Unique ID of a person.
    Example: "111110faed3c03261a08e2660c0c08bdcper"

  - `account_id` (string, required)
    Unique ID of a Solaris account.
    Example: "e48c29b85992b8772eb7ddd518490920cacc"

## Response 200 fields (application/json):

  - `interest_rate` (number, required)
    The interest rate that applies to the savings account.
    Example: 10.5

  - `accrued_interest` (object, required)

  - `accrued_interest.value` (integer)
    Example: 1400

  - `accrued_interest.currency` (string)
    Enum: "EUR"

  - `accrued_interest.unit` (string)
    Enum: "cents"

  - `last_valuta_date` (string)
    Date (valuta_date) on which the interest calculator was last run for the savings account.
    Example: "2024-07-22"

  - `rule_type` (any)
    Type of the Rule that is mapped to the partner.
    Enum: "DEFAULT", "PROMOTION"

  - `interest_profile_id` (string)
    UID of the interest profile
    Example: "cef1bb41-509d-5c2d-bcf2-beeec6649fee"

## Response 400 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "400"

  - `code` (string)
    Example: "build_pagination_headers_failure"

  - `title` (string)
    Example: "Failed to build pagination headers."

  - `details` (string)
    Example: "Cannot connect to database."

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `details` (string)
    Example: "Unauthorized action is not allowed."

## Response 404 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "404"

  - `code` (string)
    Example: "model_not_found"

  - `title` (string)
    Example: "Model Not Found"

  - `details` (string)
    Example: "Couldn't find {resource} for id {resource_id}."

## Response 500 fields (application/json):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `details` (string)
    Example: "There was an error."


